Update Order
Update a specific order.
Authorizations
API Scope: "Order (write)"
Path Parameters
Identifier of the order.
Body
64"564400c7-7a6b-4f29-b6a5-7bb580b2992c"
100An optional secondary identifier for the order, enabling customer lookup by an alternate reference. Use this for any supplementary order ID your system tracks — for example a fulfillment system ID (e.g. NetSuite), a marketplace order number, or a confirmation number. Customers can look up their return using either name or secondary_identifier.
100If a channel with this name is not already associated with the shop, it will be used to create a new channel.
64"shopify"
Status of the Order.
active, archived, cancelled, unknown {
"name": "John Smith",
"company": "Acme, Co",
"address1": "123 Example St",
"address2": "Box 123",
"city": "Columbus",
"region": "OH",
"postal_code": 12345,
"country_code": "US"
}{
"name": "John Smith",
"company": "Acme, Co",
"address1": "123 Example St",
"address2": "Box 123",
"city": "Columbus",
"region": "OH",
"postal_code": 12345,
"country_code": "US"
}The price of the order in minor units, such as cents, with its corresponding currency.
{ "amount": 50000, "currency_code": "USD" }{ "amount": 25000 }{ "amount": 1500, "currency_code": "EUR" }The price of the order in minor units, such as cents. This is included if the price was shown to the customer in an alternate currency.
{ "amount": 50000, "currency_code": "USD" }The deduction from the original order price as a way to promote sales, special offers, or customer loyalty rewards.
{ "amount": 50000, "currency_code": "USD" }The deduction from the original order price as a way to promote sales, special offers, or customer loyalty rewards. This price is discounted from the original price according to the customer's local currency.
{ "amount": 50000, "currency_code": "USD" }The tax amount for the order.
{ "amount": 50000, "currency_code": "USD" }The tax amount for the order according to the customer's local currency.
{ "amount": 50000, "currency_code": "USD" }List of shipping line items associated with the order.
List of refunds associated with the order.
List of order line items associated with the order.
Fulfillment information for the order.
255"2023-04-25T13:25:00-05:00"
"2023-04-25T13:25:00-05:00"
Timestamp when the order was cancelled. Required when status is cancelled — include both fields together so Loop can reverse Checkout+ protection coverage.
"2023-04-25T13:25:00-05:00"
The financial status of the order.
pending, authorized, partially_paid, paid, partially_refunded, refunded, voided, null 30The reason the order was cancelled, if applicable.
customer, declined, fraud, inventory, other, staff, null 30The date and time when the order was processed in the source system.
"2023-04-25T13:25:00-05:00"
The IP address of the browser used to place the order.
45The user agent string of the browser used to place the order.
1000The total tip amount received for the order.
{ "amount": 50000, "currency_code": "USD" }Response
OK